import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const pspRemoveSession = createAsyncThunk(
  "PSP_REMOVE_SESSION",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.delete(
      "pos_register_session_inspection/0/?session_key=" + d
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
